--- zebra/if_sysctl.c.orig	2021-11-08 12:44:24.000000000 +0900
+++ zebra/if_sysctl.c	2022-03-26 15:36:38.470528000 +0900
@@ -85,7 +85,7 @@
 }
 
 /* Interface listing up function using sysctl(). */
-void interface_list(struct zebra_ns *zns)
+void interface_list(struct zebra_ns *zns, int ifindex)
 {
 	caddr_t ref, buf, end;
 	size_t bufsiz;
@@ -94,13 +94,19 @@
 #define MIBSIZ 6
 	int mib[MIBSIZ] = {
 		CTL_NET,       PF_ROUTE, 0, 0, /*  AF_INET & AF_INET6 */
-		NET_RT_IFLIST, 0};
+		NET_RT_IFLIST, ifindex};
 
+	flog_warn(EC_ZEBRA_SYSCTL_FAILED, "%s is called with ifindex=%d",
+	    __func__, ifindex);
+	if (zns == NULL)
+		zns = ns_get_default();
 	if (zns->ns_id != NS_DEFAULT) {
 		zlog_debug("interface_list: ignore NS %u", zns->ns_id);
 		return;
 	}
 
+	flog_warn(EC_ZEBRA_SYSCTL_FAILED, "%s: call sysctl NET_RT_IFLIST",
+	  __func__);
 	/* Query buffer size. */
 	if (sysctl(mib, MIBSIZ, NULL, &bufsiz, NULL, 0) < 0) {
 		flog_err_sys(EC_ZEBRA_IFLIST_FAILED,
